Likes Likes:  0
Dislikes Dislikes:  0
Results 1 to 6 of 6
  1. #1
    Junior Member
    Join Date
    Mar 2017
    Posts
    4
    Rep Power
    0

    Post HP LaserJet 4700 | Any old firmware needed

    Hi,

    Please, we would need any firmware equal or older than 46.130.5.
    Ideally version 46.034.1 would be perfect.

    Thank you and have a nice day,

    Daniel




    DETAILS:
    To resolve frequent 49.4cf2 errors when printing some PS documents (known header error), we need to update 3 printers HP LaserJet 4700 firmwares from 46.031.1 (2006) to 46.230.6 (2013, last version).
    After search in different forums, we need to:
    1) First, update to older firmware (ideally 46.034.1, or maybe 46.120.4 or 46.130.5) (files not available anywhere since last year or two, HP did a cleanup on their server)
    2) Update to middle version firmware 46.200.1 (oldest available on official HP's FTP for older firmwares)
    3) Finally, update to latest version firmware 46.230.6 (file available on official HP website)

    If we try to update directly from 46.031.1 to 46.230.6, it is not working (error 49.4cf2). We are using normal FTP method (command prompt, FTP put command, in "Port1" folder).

    Thank you again for you cooperation and have a nice day!


  2. #2
    Senior Tech 250+ Posts
    Join Date
    Jun 2015
    Location
    Lutherville, MD
    Posts
    346
    Rep Power
    9

    Re: HP LaserJet 4700 | Any old firmware needed

    The minimum revision needed to go straight to current (46.230.6) is either 46.035.3 or 46.120.4 (can't remember which).

    You'll find both here:

    https://drive.google.com/drive/folde...Ws?usp=sharing


  3. #3
    Junior Member
    Join Date
    Mar 2017
    Posts
    4
    Rep Power
    0

    Re: HP LaserJet 4700 | Any old firmware needed

    Quote Originally Posted by Lance15 View Post
    The minimum revision needed to go straight to current (46.230.6) is either 46.035.3 or 46.120.4 (can't remember which).

    You'll find both here:

    https://drive.google.com/drive/folde...Ws?usp=sharing

    Yes, straight update would be even better.
    Thank you very much, we will try this.


  4. #4
    Field Supervisor 500+ Posts Wild Bill's Avatar
    Join Date
    Jul 2005
    Location
    Tokyo
    Posts
    678
    Rep Power
    39

    Re: HP LaserJet 4700 | Any old firmware needed

    I thought that it was kinda dumb that you had to upgrade it , so you could upgrade it...
    I ended up saying hell with it and ordered the DIMM already upgraded (Liberty Parts Team) and kept one in stock after that.

    By the way, it will help eliminate 49 errors but it won't get rid of them entirely.

    Izzy

  5. #5
    Senior Tech 250+ Posts
    Join Date
    Jun 2015
    Location
    Lutherville, MD
    Posts
    346
    Rep Power
    9

    Re: HP LaserJet 4700 | Any old firmware needed

    I thought that it was kinda dumb that you had to upgrade it , so you could upgrade it...
    Yeah. I found out the hard way you needed a certain revision to go to current years ago.

    Guess HP changed the firmware directory structure (SYS1, SYS2, etc......) and the unit needed to be at a certain revision FIRST.

    UGH! Old hack at this point.........


  6. #6
    Service Manager 1,000+ Posts theengel's Avatar
    Join Date
    Nov 2011
    Location
    North Bend
    Posts
    1,099
    Rep Power
    29

    Re: HP LaserJet 4700 | Any old firmware needed

    Thanks for providing these. I've stored them away for later use. I should be hoarding firmware and drivers for certain printers, especially the designjets, as HP seems to be clearing those out.


Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Get the Android App
click or scan for the Copytechnet Mobile App

-=-=-=-=-=-


IDrive Remote Backup

Lunarpages Internet Solutions

Advertise on Copytechnet

Your Link Here